source: squid-ssl/trunk/fuentes/helpers/log_daemon/file/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 40.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/log_daemon/file/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = log_file_daemon$(EXEEXT)
95subdir = helpers/log_daemon/file
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_log_file_daemon_OBJECTS = log_file_daemon.$(OBJEXT)
165log_file_daemon_OBJECTS = $(am_log_file_daemon_OBJECTS)
166#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170log_file_daemon_DEPENDENCIES = $(am__DEPENDENCIES_2) \
171        $(am__DEPENDENCIES_3)
172AM_V_lt = $(am__v_lt_$(V))
173am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
174am__v_lt_0 = --silent
175am__v_lt_1 = 
176AM_V_P = $(am__v_P_$(V))
177am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
178am__v_P_0 = false
179am__v_P_1 = :
180AM_V_GEN = $(am__v_GEN_$(V))
181am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
182am__v_GEN_0 = @echo "  GEN     " $@;
183am__v_GEN_1 = 
184AM_V_at = $(am__v_at_$(V))
185am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
186am__v_at_0 = @
187am__v_at_1 = 
188DEFAULT_INCLUDES = 
189depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
190am__depfiles_maybe = depfiles
191am__mv = mv -f
192CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
196        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197        $(AM_CXXFLAGS) $(CXXFLAGS)
198AM_V_CXX = $(am__v_CXX_$(V))
199am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
200am__v_CXX_0 = @echo "  CXX     " $@;
201am__v_CXX_1 = 
202CXXLD = $(CXX)
203CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CXXLD = $(am__v_CXXLD_$(V))
207am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
208am__v_CXXLD_0 = @echo "  CXXLD   " $@;
209am__v_CXXLD_1 = 
210SOURCES = $(log_file_daemon_SOURCES)
211DIST_SOURCES = $(log_file_daemon_SOURCES)
212am__can_run_installinfo = \
213  case $$AM_UPDATE_INFO_DIR in \
214    n|no|NO) false;; \
215    *) (install-info --version) >/dev/null 2>&1;; \
216  esac
217am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
218# Read a list of newline-separated strings from the standard input,
219# and print each of them once, without duplicates.  Input order is
220# *not* preserved.
221am__uniquify_input = $(AWK) '\
222  BEGIN { nonempty = 0; } \
223  { items[$$0] = 1; nonempty = 1; } \
224  END { if (nonempty) { for (i in items) print i; }; } \
225'
226# Make sure the list of sources is unique.  This is necessary because,
227# e.g., the same source file might be shared among _SOURCES variables
228# for different programs/libraries.
229am__define_uniq_tagged_files = \
230  list='$(am__tagged_files)'; \
231  unique=`for i in $$list; do \
232    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
233  done | $(am__uniquify_input)`
234ETAGS = etags
235CTAGS = ctags
236am__tty_colors_dummy = \
237  mgn= red= grn= lgn= blu= brg= std=; \
238  am__color_tests=no
239am__tty_colors = { \
240  $(am__tty_colors_dummy); \
241  if test "X$(AM_COLOR_TESTS)" = Xno; then \
242    am__color_tests=no; \
243  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
244    am__color_tests=yes; \
245  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
246    am__color_tests=yes; \
247  fi; \
248  if test $$am__color_tests = yes; then \
249    red='[0;31m'; \
250    grn='[0;32m'; \
251    lgn='[1;32m'; \
252    blu='[1;34m'; \
253    mgn='[0;35m'; \
254    brg='[1m'; \
255    std='[m'; \
256  fi; \
257}
258am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
259am__vpath_adj = case $$p in \
260    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
261    *) f=$$p;; \
262  esac;
263am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
264am__install_max = 40
265am__nobase_strip_setup = \
266  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
267am__nobase_strip = \
268  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
269am__nobase_list = $(am__nobase_strip_setup); \
270  for p in $$list; do echo "$$p $$p"; done | \
271  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
272  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
273    if (++n[$$2] == $(am__install_max)) \
274      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
275    END { for (dir in files) print dir, files[dir] }'
276am__base_list = \
277  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
278  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
279am__uninstall_files_from_dir = { \
280  test -z "$$files" \
281    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
282    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
283         $(am__cd) "$$dir" && rm -f $$files; }; \
284  }
285am__recheck_rx = ^[     ]*:recheck:[    ]*
286am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
287am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
288# A command that, given a newline-separated list of test names on the
289# standard input, print the name of the tests that are to be re-run
290# upon "make recheck".
291am__list_recheck_tests = $(AWK) '{ \
292  recheck = 1; \
293  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
294    { \
295      if (rc < 0) \
296        { \
297          if ((getline line2 < ($$0 ".log")) < 0) \
298            recheck = 0; \
299          break; \
300        } \
301      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
302        { \
303          recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
307        { \
308          break; \
309        } \
310    }; \
311  if (recheck) \
312    print $$0; \
313  close ($$0 ".trs"); \
314  close ($$0 ".log"); \
315}'
316# A command that, given a newline-separated list of test names on the
317# standard input, create the global log from their .trs and .log files.
318am__create_global_log = $(AWK) ' \
319function fatal(msg) \
320{ \
321  print "fatal: making $@: " msg | "cat >&2"; \
322  exit 1; \
323} \
324function rst_section(header) \
325{ \
326  print header; \
327  len = length(header); \
328  for (i = 1; i <= len; i = i + 1) \
329    printf "="; \
330  printf "\n\n"; \
331} \
332{ \
333  copy_in_global_log = 1; \
334  global_test_result = "RUN"; \
335  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
336    { \
337      if (rc < 0) \
338         fatal("failed to read from " $$0 ".trs"); \
339      if (line ~ /$(am__global_test_result_rx)/) \
340        { \
341          sub("$(am__global_test_result_rx)", "", line); \
342          sub("[        ]*$$", "", line); \
343          global_test_result = line; \
344        } \
345      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
346        copy_in_global_log = 0; \
347    }; \
348  if (copy_in_global_log) \
349    { \
350      rst_section(global_test_result ": " $$0); \
351      while ((rc = (getline line < ($$0 ".log"))) != 0) \
352      { \
353        if (rc < 0) \
354          fatal("failed to read from " $$0 ".log"); \
355        print line; \
356      }; \
357      printf "\n"; \
358    }; \
359  close ($$0 ".trs"); \
360  close ($$0 ".log"); \
361}'
362# Restructured Text title.
363am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
364# Solaris 10 'make', and several other traditional 'make' implementations,
365# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
366# by disabling -e (using the XSI extension "set +e") if it's set.
367am__sh_e_setup = case $$- in *e*) set +e;; esac
368# Default flags passed to test drivers.
369am__common_driver_flags = \
370  --color-tests "$$am__color_tests" \
371  --enable-hard-errors "$$am__enable_hard_errors" \
372  --expect-failure "$$am__expect_failure"
373# To be inserted before the command running the test.  Creates the
374# directory for the log if needed.  Stores in $dir the directory
375# containing $f, in $tst the test, in $log the log.  Executes the
376# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
377# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
378# will run the test scripts (or their associated LOG_COMPILER, if
379# thy have one).
380am__check_pre = \
381$(am__sh_e_setup);                                      \
382$(am__vpath_adj_setup) $(am__vpath_adj)                 \
383$(am__tty_colors);                                      \
384srcdir=$(srcdir); export srcdir;                        \
385case "$@" in                                            \
386  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
387    *) am__odir=.;;                                     \
388esac;                                                   \
389test "x$$am__odir" = x"." || test -d "$$am__odir"       \
390  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
391if test -f "./$$f"; then dir=./;                        \
392elif test -f "$$f"; then dir=;                          \
393else dir="$(srcdir)/"; fi;                              \
394tst=$$dir$$f; log='$@';                                 \
395if test -n '$(DISABLE_HARD_ERRORS)'; then               \
396  am__enable_hard_errors=no;                            \
397else                                                    \
398  am__enable_hard_errors=yes;                           \
399fi;                                                     \
400case " $(XFAIL_TESTS) " in                              \
401  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
402    am__expect_failure=yes;;                            \
403  *)                                                    \
404    am__expect_failure=no;;                             \
405esac;                                                   \
406$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
407# A shell command to get the names of the tests scripts with any registered
408# extension removed (i.e., equivalently, the names of the test logs, with
409# the '.log' extension removed).  The result is saved in the shell variable
410# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
411# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
412# since that might cause problem with VPATH rewrites for suffix-less tests.
413# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
414am__set_TESTS_bases = \
415  bases='$(TEST_LOGS)'; \
416  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
417  bases=`echo $$bases`
418RECHECK_LOGS = $(TEST_LOGS)
419AM_RECURSIVE_TARGETS = check recheck
420TEST_SUITE_LOG = test-suite.log
421TEST_EXTENSIONS =  .test
422am__test_logs1 = $(TESTS:=.log)
423am__test_logs2 = $(am__test_logs1:.log=.log)
424TEST_LOGS = $(am__test_logs2:.test.log=.log)
425TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
426TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
427        $(TEST_LOG_FLAGS)
428am__set_b = \
429  case '$@' in \
430    */*) \
431      case '$*' in \
432        */*) b='$*';; \
433          *) b=`echo '$@' | sed 's/\.log$$//'`; \
434       esac;; \
435    *) \
436      b='$*';; \
437  esac
438am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
439        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
440DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
441ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
442ADAPTATION_LIBS = adaptation/libadaptation.la
443ALLOCA =
444AMTAR = $${TAR-tar}
445AM_DEFAULT_VERBOSITY = 1
446AR = /usr/bin/ar
447AR_R = /usr/bin/ar r
448AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
449AUTH_MODULES =  basic digest negotiate ntlm
450AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
451AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
452AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
453AWK = gawk
454BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
455BUILDCXX = g++
456BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
457BZR =
458CACHE_EFFECTIVE_USER = proxy
459CC = gcc
460CCDEPMODE = depmode=none
461CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
462CGIEXT = .cgi
463CHMOD = /bin/chmod
464CPP = gcc -E
465CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
466CPPUNITCONFIG = /usr/bin/cppunit-config
467CRYPTLIB = -lcrypt
468CXX = g++
469CXXCPP = g++ -E
470CXXDEPMODE = depmode=none
471CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
472CYGPATH_W = echo
473DEFAULT_HOSTS = /etc/hosts
474DEFAULT_LOG_DIR = /var/log/squid-ssl
475DEFAULT_PID_FILE = /var/run/squid-ssl.pid
476DEFAULT_SWAP_DIR = /var/spool/squid-ssl
477DEFS = -DHAVE_CONFIG_H
478DEPDIR = .deps
479DIGEST_AUTH_HELPERS =  file LDAP
480DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
481DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
482DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
483DISK_OS_LIBS =  -lrt -lpthread
484DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
485DLLTOOL = false
486DSYMUTIL =
487DUMPBIN =
488ECAP_LIBS = ecap/libsquid-ecap.la
489ECHO_C =
490ECHO_N = -n
491ECHO_T =
492EGREP = /bin/egrep
493EPOLL_LIBS =
494EUILIB =
495EXEEXT =
496EXPATLIB = -lexpat
497EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
498EXT_LIBECAP_CFLAGS =
499EXT_LIBECAP_LIBS = -lecap
500FALSE = /bin/false
501FGREP = /bin/fgrep
502GREP = grep
503HAVE_CXX11 = 1
504ICAP_LIBS = icap/libicap.la
505INCLTDL =
506INSTALL = /usr/bin/install -c
507INSTALL_DATA = ${INSTALL} -m 644
508INSTALL_PROGRAM = ${INSTALL}
509INSTALL_SCRIPT = ${INSTALL}
510INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
511KRB5INCS = -isystem /usr/include/mit-krb5
512KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
513LBERLIB = -llber
514LD = /usr/bin/ld -m elf_x86_64
515LDAPLIB = -lldap
516LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
517LIBADD_DL = -ldl
518LIBADD_DLD_LINK =
519LIBADD_DLOPEN = -ldl
520LIBADD_SHL_LOAD =
521LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
522LIBGNUTLS_LIBS = -lgnutls
523LIBLTDL = -lltdl
524LIBOBJS =
525LIBOPENSSL_CFLAGS =
526LIBOPENSSL_LIBS = -lssl -lcrypto
527LIBS =
528LIBSASL = -lsasl2
529LIBTOOL = $(SHELL) $(top_builddir)/libtool
530LIB_DB = -ldb
531LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
532LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
533LINUXDOC = /bin/false
534LIPO =
535LN = /bin/ln
536LN_S = ln -s
537LOG_DAEMON_HELPERS =  DB file
538LTDLDEPS =
539LTDLINCL =
540LTDLOPEN = libltdl
541LTLIBOBJS =
542LT_ARGZ_H =
543LT_CONFIG_H = include/autoconf.h
544LT_DLLOADERS =  libltdl/dlopen.la
545LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
546LT_SYS_LIBRARY_PATH =
547MAINT = #
548MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
549MANIFEST_TOOL = :
550MINGW_LIBS =
551MKDIR = /bin/mkdir
552MKDIR_P = /bin/mkdir -p
553MV = /bin/mv
554NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
555NETTLELIB =  -lnettle
556NM = /usr/bin/nm -B
557NMEDIT =
558NTLM_AUTH_HELPERS =  fake smb_lm
559OBJDUMP = objdump
560OBJEXT = o
561OTOOL =
562OTOOL64 =
563PACKAGE = squid
564PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
565PACKAGE_NAME = Squid Web Proxy
566PACKAGE_STRING = Squid Web Proxy 3.5.12
567PACKAGE_TARNAME = squid
568PACKAGE_URL =
569PACKAGE_VERSION = 3.5.12
570PATH_SEPARATOR = :
571PERL = /usr/bin/perl
572PKG_CONFIG = /usr/bin/pkg-config
573PKG_CONFIG_LIBDIR =
574PKG_CONFIG_PATH =
575PO2HTML = off
576PO2TEXT = off
577POD2MAN = /usr/bin/pod2man
578RANLIB = ranlib
579REGEXLIB =
580REPL_LIBS = liblru.a libheap.a
581REPL_OBJS = repl/liblru.a repl/libheap.a
582REPL_POLICIES = lru heap
583RM = /bin/rm -f
584SED = /bin/sed
585SET_MAKE =
586SH = /bin/sh
587SHELL = /bin/bash
588SMBCLIENT = /usr/bin/smbclient
589SNMPLIB = ../lib/snmplib/libsnmplib.la
590SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
591SQUID_CPPUNIT_INC =
592SQUID_CPPUNIT_LA =
593SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
594SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
595SSLLIB =  -lssl -lcrypto  -lgnutls
596STOREID_REWRITE_HELPERS =  file
597STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
598STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
599STORE_TESTS =
600STRIP = strip
601TR = /usr/bin/tr
602TRUE = /bin/true
603URL_REWRITE_HELPERS =  fake
604VERSION = 3.5.12
605WBINFO =
606WIN32_PSAPI =
607XMLLIB = -lxml2
608XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
609XTRA_OBJS =
610abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/log_daemon/file
611abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/log_daemon/file
612abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
613abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
614ac_ct_AR =
615ac_ct_CC = gcc
616ac_ct_CXX = g++
617ac_ct_DUMPBIN =
618am__include = include
619am__leading_dot = .
620am__quote =
621am__tar = tar --format=ustar -chf - "$$tardir"
622am__untar = tar -xf -
623bindir = ${exec_prefix}/bin
624build = x86_64-pc-linux-gnu
625build_alias = x86_64-linux-gnu
626build_cpu = x86_64
627build_os = linux-gnu
628build_vendor = pc
629builddir = .
630datadir = /usr/share/squid-ssl
631datarootdir = ${prefix}/share
632docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
633dvidir = ${docdir}
634exec_prefix = ${prefix}
635host = x86_64-pc-linux-gnu
636host_alias =
637host_cpu = x86_64
638host_os = linux-gnu
639host_vendor = pc
640htmldir = ${docdir}
641includedir = ${prefix}/include
642infodir = ${prefix}/share/info
643install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
644krb5_config =
645libdir = ${exec_prefix}/lib
646libexecdir = /usr/lib/squid-ssl
647localedir = ${datarootdir}/locale
648localstatedir = /var
649ltdl_LIBOBJS =  lt__strl.o
650ltdl_LTLIBOBJS =  lt__strl.lo
651mandir = /usr/share/man
652mkdir_p = $(MKDIR_P)
653oldincludedir = /usr/include
654pdfdir = ${docdir}
655prefix = /usr
656program_transform_name = s&$$&-ssl&
657psdir = ${docdir}
658runstatedir = ${localstatedir}/run
659sbindir = ${exec_prefix}/sbin
660sharedstatedir = ${prefix}/com
661srcdir = .
662subdirs =  libltdl
663sys_symbol_underscore = no
664sysconfdir = /etc/squid-ssl
665target_alias =
666top_build_prefix = ../../../
667top_builddir = ../../..
668top_srcdir = ../../..
669AM_CFLAGS = $(SQUID_CFLAGS)
670AM_CXXFLAGS = $(SQUID_CXXFLAGS)
671CLEANFILES =
672AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
673        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
674        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
675        $(am__append_1)
676LIBPROFILER =
677#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
678COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
679subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
680log_file_daemon_SOURCES = log_file_daemon.cc
681log_file_daemon_LDADD = \
682        -L$(top_builddir)/lib $(COMPAT_LIB) \
683        $(XTRA_LIBS)
684
685EXTRA_DIST = required.m4
686all: all-am
687
688.SUFFIXES:
689.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
690$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
691        @for dep in $?; do \
692          case '$(am__configure_deps)' in \
693            *$$dep*) \
694              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
695                && { if test -f $@; then exit 0; else break; fi; }; \
696              exit 1;; \
697          esac; \
698        done; \
699        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/log_daemon/file/Makefile'; \
700        $(am__cd) $(top_srcdir) && \
701          $(AUTOMAKE) --gnu helpers/log_daemon/file/Makefile
702Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
703        @case '$?' in \
704          *config.status*) \
705            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
706          *) \
707            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
708            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
709        esac;
710$(top_srcdir)/src/Common.am $(am__empty):
711
712$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
713        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714
715$(top_srcdir)/configure: # $(am__configure_deps)
716        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
718        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719$(am__aclocal_m4_deps):
720
721clean-checkPROGRAMS:
722        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
723        echo " rm -f" $$list; \
724        rm -f $$list || exit $$?; \
725        test -n "$(EXEEXT)" || exit 0; \
726        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
727        echo " rm -f" $$list; \
728        rm -f $$list
729install-libexecPROGRAMS: $(libexec_PROGRAMS)
730        @$(NORMAL_INSTALL)
731        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
732        if test -n "$$list"; then \
733          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
734          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
735        fi; \
736        for p in $$list; do echo "$$p $$p"; done | \
737        sed 's/$(EXEEXT)$$//' | \
738        while read p p1; do if test -f $$p \
739         || test -f $$p1 \
740          ; then echo "$$p"; echo "$$p"; else :; fi; \
741        done | \
742        sed -e 'p;s,.*/,,;n;h' \
743            -e 's|.*|.|' \
744            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
745        sed 'N;N;N;s,\n, ,g' | \
746        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
747          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
748            if ($$2 == $$4) files[d] = files[d] " " $$1; \
749            else { print "f", $$3 "/" $$4, $$1; } } \
750          END { for (d in files) print "f", d, files[d] }' | \
751        while read type dir files; do \
752            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
753            test -z "$$files" || { \
754            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
755            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
756            } \
757        ; done
758
759uninstall-libexecPROGRAMS:
760        @$(NORMAL_UNINSTALL)
761        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
762        files=`for p in $$list; do echo "$$p"; done | \
763          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
764              -e 's/$$/$(EXEEXT)/' \
765        `; \
766        test -n "$$list" || exit 0; \
767        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
768        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
769
770clean-libexecPROGRAMS:
771        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
772        echo " rm -f" $$list; \
773        rm -f $$list || exit $$?; \
774        test -n "$(EXEEXT)" || exit 0; \
775        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
776        echo " rm -f" $$list; \
777        rm -f $$list
778
779log_file_daemon$(EXEEXT): $(log_file_daemon_OBJECTS) $(log_file_daemon_DEPENDENCIES) $(EXTRA_log_file_daemon_DEPENDENCIES) 
780        @rm -f log_file_daemon$(EXEEXT)
781        $(AM_V_CXXLD)$(CXXLINK) $(log_file_daemon_OBJECTS) $(log_file_daemon_LDADD) $(LIBS)
782
783mostlyclean-compile:
784        -rm -f *.$(OBJEXT)
785
786distclean-compile:
787        -rm -f *.tab.c
788
789#include ./$(DEPDIR)/log_file_daemon.Po
790
791.cc.o:
792#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
793#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
794#       $(am__mv) $$depbase.Tpo $$depbase.Po
795#       $(AM_V_CXX)source='$<' object='$@' libtool=no
796#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
797        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
798
799.cc.obj:
800#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
801#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
802#       $(am__mv) $$depbase.Tpo $$depbase.Po
803#       $(AM_V_CXX)source='$<' object='$@' libtool=no
804#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
805        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
806
807.cc.lo:
808#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
809#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
810#       $(am__mv) $$depbase.Tpo $$depbase.Plo
811#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
812#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
813        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
814
815mostlyclean-libtool:
816        -rm -f *.lo
817
818clean-libtool:
819        -rm -rf .libs _libs
820
821ID: $(am__tagged_files)
822        $(am__define_uniq_tagged_files); mkid -fID $$unique
823tags: tags-am
824TAGS: tags
825
826tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
827        set x; \
828        here=`pwd`; \
829        $(am__define_uniq_tagged_files); \
830        shift; \
831        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
832          test -n "$$unique" || unique=$$empty_fix; \
833          if test $$# -gt 0; then \
834            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
835              "$$@" $$unique; \
836          else \
837            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
838              $$unique; \
839          fi; \
840        fi
841ctags: ctags-am
842
843CTAGS: ctags
844ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
845        $(am__define_uniq_tagged_files); \
846        test -z "$(CTAGS_ARGS)$$unique" \
847          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
848             $$unique
849
850GTAGS:
851        here=`$(am__cd) $(top_builddir) && pwd` \
852          && $(am__cd) $(top_srcdir) \
853          && gtags -i $(GTAGS_ARGS) "$$here"
854cscopelist: cscopelist-am
855
856cscopelist-am: $(am__tagged_files)
857        list='$(am__tagged_files)'; \
858        case "$(srcdir)" in \
859          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
860          *) sdir=$(subdir)/$(srcdir) ;; \
861        esac; \
862        for i in $$list; do \
863          if test -f "$$i"; then \
864            echo "$(subdir)/$$i"; \
865          else \
866            echo "$$sdir/$$i"; \
867          fi; \
868        done >> $(top_builddir)/cscope.files
869
870distclean-tags:
871        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
872
873# Recover from deleted '.trs' file; this should ensure that
874# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
875# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
876# to avoid problems with "make -n".
877.log.trs:
878        rm -f $< $@
879        $(MAKE) $(AM_MAKEFLAGS) $<
880
881# Leading 'am--fnord' is there to ensure the list of targets does not
882# expand to empty, as could happen e.g. with make check TESTS=''.
883am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
884am--force-recheck:
885        @:
886
887$(TEST_SUITE_LOG): $(TEST_LOGS)
888        @$(am__set_TESTS_bases); \
889        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
890        redo_bases=`for i in $$bases; do \
891                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
892                    done`; \
893        if test -n "$$redo_bases"; then \
894          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
895          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
896          if $(am__make_dryrun); then :; else \
897            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
898          fi; \
899        fi; \
900        if test -n "$$am__remaking_logs"; then \
901          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
902               "recursion detected" >&2; \
903        elif test -n "$$redo_logs"; then \
904          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
905        fi; \
906        if $(am__make_dryrun); then :; else \
907          st=0;  \
908          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
909          for i in $$redo_bases; do \
910            test -f $$i.trs && test -r $$i.trs \
911              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
912            test -f $$i.log && test -r $$i.log \
913              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
914          done; \
915          test $$st -eq 0 || exit 1; \
916        fi
917        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
918        ws='[   ]'; \
919        results=`for b in $$bases; do echo $$b.trs; done`; \
920        test -n "$$results" || results=/dev/null; \
921        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
922        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
923        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
924        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
925        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
926        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
927        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
928        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
929          success=true; \
930        else \
931          success=false; \
932        fi; \
933        br='==================='; br=$$br$$br$$br$$br; \
934        result_count () \
935        { \
936            if test x"$$1" = x"--maybe-color"; then \
937              maybe_colorize=yes; \
938            elif test x"$$1" = x"--no-color"; then \
939              maybe_colorize=no; \
940            else \
941              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
942            fi; \
943            shift; \
944            desc=$$1 count=$$2; \
945            if test $$maybe_colorize = yes && test $$count -gt 0; then \
946              color_start=$$3 color_end=$$std; \
947            else \
948              color_start= color_end=; \
949            fi; \
950            echo "$${color_start}# $$desc $$count$${color_end}"; \
951        }; \
952        create_testsuite_report () \
953        { \
954          result_count $$1 "TOTAL:" $$all   "$$brg"; \
955          result_count $$1 "PASS: " $$pass  "$$grn"; \
956          result_count $$1 "SKIP: " $$skip  "$$blu"; \
957          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
958          result_count $$1 "FAIL: " $$fail  "$$red"; \
959          result_count $$1 "XPASS:" $$xpass "$$red"; \
960          result_count $$1 "ERROR:" $$error "$$mgn"; \
961        }; \
962        {                                                               \
963          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
964            $(am__rst_title);                                           \
965          create_testsuite_report --no-color;                           \
966          echo;                                                         \
967          echo ".. contents:: :depth: 2";                               \
968          echo;                                                         \
969          for b in $$bases; do echo $$b; done                           \
970            | $(am__create_global_log);                                 \
971        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
972        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
973        if $$success; then                                              \
974          col="$$grn";                                                  \
975         else                                                           \
976          col="$$red";                                                  \
977          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
978        fi;                                                             \
979        echo "$${col}$$br$${std}";                                      \
980        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
981        echo "$${col}$$br$${std}";                                      \
982        create_testsuite_report --maybe-color;                          \
983        echo "$$col$$br$$std";                                          \
984        if $$success; then :; else                                      \
985          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
986          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
987            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
988          fi;                                                           \
989          echo "$$col$$br$$std";                                        \
990        fi;                                                             \
991        $$success || exit 1
992
993check-TESTS:
994        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
995        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
996        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
997        @set +e; $(am__set_TESTS_bases); \
998        log_list=`for i in $$bases; do echo $$i.log; done`; \
999        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1000        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1001        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1002        exit $$?;
1003recheck: all $(check_PROGRAMS)
1004        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1005        @set +e; $(am__set_TESTS_bases); \
1006        bases=`for i in $$bases; do echo $$i; done \
1007                 | $(am__list_recheck_tests)` || exit 1; \
1008        log_list=`for i in $$bases; do echo $$i.log; done`; \
1009        log_list=`echo $$log_list`; \
1010        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1011                am__force_recheck=am--force-recheck \
1012                TEST_LOGS="$$log_list"; \
1013        exit $$?
1014.test.log:
1015        @p='$<'; \
1016        $(am__set_b); \
1017        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1018        --log-file $$b.log --trs-file $$b.trs \
1019        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1020        "$$tst" $(AM_TESTS_FD_REDIRECT)
1021#.test$(EXEEXT).log:
1022#       @p='$<'; \
1023#       $(am__set_b); \
1024#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1025#       --log-file $$b.log --trs-file $$b.trs \
1026#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1027#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1028
1029distdir: $(DISTFILES)
1030        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1031        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1032        list='$(DISTFILES)'; \
1033          dist_files=`for file in $$list; do echo $$file; done | \
1034          sed -e "s|^$$srcdirstrip/||;t" \
1035              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1036        case $$dist_files in \
1037          */*) $(MKDIR_P) `echo "$$dist_files" | \
1038                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1039                           sort -u` ;; \
1040        esac; \
1041        for file in $$dist_files; do \
1042          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1043          if test -d $$d/$$file; then \
1044            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1045            if test -d "$(distdir)/$$file"; then \
1046              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1047            fi; \
1048            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1049              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1050              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1051            fi; \
1052            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1053          else \
1054            test -f "$(distdir)/$$file" \
1055            || cp -p $$d/$$file "$(distdir)/$$file" \
1056            || exit 1; \
1057          fi; \
1058        done
1059check-am: all-am
1060        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1061        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1062check: check-am
1063all-am: Makefile $(PROGRAMS)
1064installdirs:
1065        for dir in "$(DESTDIR)$(libexecdir)"; do \
1066          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1067        done
1068install: install-am
1069install-exec: install-exec-am
1070install-data: install-data-am
1071uninstall: uninstall-am
1072
1073install-am: all-am
1074        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1075
1076installcheck: installcheck-am
1077install-strip:
1078        if test -z '$(STRIP)'; then \
1079          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1080            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1081              install; \
1082        else \
1083          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1084            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1085            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1086        fi
1087mostlyclean-generic:
1088        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1089        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1090        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1091
1092clean-generic:
1093        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1094
1095distclean-generic:
1096        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1097        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1098
1099maintainer-clean-generic:
1100        @echo "This command is intended for maintainers to use"
1101        @echo "it deletes files that may require special tools to rebuild."
1102clean: clean-am
1103
1104clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1105        clean-libtool mostlyclean-am
1106
1107distclean: distclean-am
1108        -rm -rf ./$(DEPDIR)
1109        -rm -f Makefile
1110distclean-am: clean-am distclean-compile distclean-generic \
1111        distclean-tags
1112
1113dvi: dvi-am
1114
1115dvi-am:
1116
1117html: html-am
1118
1119html-am:
1120
1121info: info-am
1122
1123info-am:
1124
1125install-data-am:
1126
1127install-dvi: install-dvi-am
1128
1129install-dvi-am:
1130
1131install-exec-am: install-libexecPROGRAMS
1132
1133install-html: install-html-am
1134
1135install-html-am:
1136
1137install-info: install-info-am
1138
1139install-info-am:
1140
1141install-man:
1142
1143install-pdf: install-pdf-am
1144
1145install-pdf-am:
1146
1147install-ps: install-ps-am
1148
1149install-ps-am:
1150
1151installcheck-am:
1152
1153maintainer-clean: maintainer-clean-am
1154        -rm -rf ./$(DEPDIR)
1155        -rm -f Makefile
1156maintainer-clean-am: distclean-am maintainer-clean-generic
1157
1158mostlyclean: mostlyclean-am
1159
1160mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1161        mostlyclean-libtool
1162
1163pdf: pdf-am
1164
1165pdf-am:
1166
1167ps: ps-am
1168
1169ps-am:
1170
1171uninstall-am: uninstall-libexecPROGRAMS
1172
1173.MAKE: check-am install-am install-strip
1174
1175.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1176        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1177        clean-libtool cscopelist-am ctags ctags-am distclean \
1178        distclean-compile distclean-generic distclean-libtool \
1179        distclean-tags distdir dvi dvi-am html html-am info info-am \
1180        install install-am install-data install-data-am install-dvi \
1181        install-dvi-am install-exec install-exec-am install-html \
1182        install-html-am install-info install-info-am \
1183        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1184        install-ps install-ps-am install-strip installcheck \
1185        installcheck-am installdirs maintainer-clean \
1186        maintainer-clean-generic mostlyclean mostlyclean-compile \
1187        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1188        recheck tags tags-am uninstall uninstall-am \
1189        uninstall-libexecPROGRAMS
1190
1191.PRECIOUS: Makefile
1192
1193
1194$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1195
1196# Tell versions [3.59,3.63) of GNU make to not export all variables.
1197# Otherwise a system limit (for SysV at least) may be exceeded.
1198.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.